Bug 1638982 - /etc/selinux/targeted/contexts/files/file_contexts: Invalid argument
Summary: /etc/selinux/targeted/contexts/files/file_contexts: Invalid argument
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-13 19:03 UTC by Brian J. Murrell
Modified: 2018-12-01 20:40 UTC (History)
8 users (show)

Fixed In Version: livecd-tools-26.0-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-01 02:05:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Brian J. Murrell 2018-10-13 19:03:48 UTC
Description of problem:
While trying to use livecd-creator the following errors are displayed and then it exits without creating the ISO image:

/sbin/setfiles: /etc/selinux/targeted/contexts/files/file_contexts: line 1145 has invalid context system_u:object_r:boltd_var_run_t:s0
/sbin/setfiles: /etc/selinux/targeted/contexts/files/file_contexts: line 1145 has invalid context system_u:object_r:boltd_var_run_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: Invalid argument
Error creating Live CD : SELinux relabel failed.
Unmounting directory /var/tmp/imgcreate-vgy3teod/install_root failed, using lazy umount
Unmounting directory /var/tmp/imgcreate-vgy3teod/install_root failed, using lazy umount
lazy umount succeeded on /var/tmp/imgcreate-vgy3teod/install_root


Version-Release number of selected component (if applicable):
livecd-tools-25.0-6.fc28.x86_64

How reproducible:
100%

Steps to Reproduce:
1. create a kickstart file with:
%include /usr/share/spin-kickstarts/fedora-live-workstation.ks
%include /usr/share/spin-kickstarts/fedora-live-minimization.ks
2. sudo livecd-creator --config=live-usb.ks

Actual results:
...
/sbin/setfiles: /etc/selinux/targeted/contexts/files/file_contexts: line 1145 has invalid context system_u:object_r:boltd_var_run_t:s0
/sbin/setfiles: /etc/selinux/targeted/contexts/files/file_contexts: line 1145 has invalid context system_u:object_r:boltd_var_run_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: Invalid argument
Error creating Live CD : SELinux relabel failed.
Unmounting directory /var/tmp/imgcreate-vgy3teod/install_root failed, using lazy umount
Unmounting directory /var/tmp/imgcreate-vgy3teod/install_root failed, using lazy umount
lazy umount succeeded on /var/tmp/imgcreate-vgy3teod/install_root
and no ISO is created

Expected results:
Should create an ISO image

Additional info:

Comment 1 Fedora Update System 2018-11-24 01:26:08 UTC
livecd-tools-26.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6d6f79359e

Comment 2 Fedora Update System 2018-11-24 01:35:57 UTC
appliance-tools-009.0-4.fc29 livecd-tools-26.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6d6f79359e

Comment 3 Fedora Update System 2018-11-24 01:36:36 UTC
livecd-tools-26.0-2.fc28 appliance-tools-009.0-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a839dc3971

Comment 4 Fedora Update System 2018-11-25 04:08:53 UTC
appliance-tools-009.0-4.fc28, livecd-tools-26.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a839dc3971

Comment 5 Fedora Update System 2018-11-25 04:44:53 UTC
appliance-tools-009.0-4.fc29, livecd-tools-26.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6d6f79359e

Comment 6 Fedora Update System 2018-12-01 02:05:37 UTC
appliance-tools-009.0-4.fc28, livecd-tools-26.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-12-01 20:40:45 UTC
appliance-tools-009.0-4.fc29, livecd-tools-26.0-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.